QT += widgets network

TEMPLATE = lib

CONFIG += link_pkgconfig

PKGCONFIG += kylin-ai-subsystem-plugin  gsettings-qt kysdk-qtwidgets kysdk-waylandhelper glib-2.0 kysdk-sysinfo \
            kyai-config kysdk-ukenv libqapt

INCLUDEPATH += /usr/include/KF5/KWindowSystem/
INCLUDEPATH += /usr/include/qapt/
include(libukcc/widgets.pri)

DEFINES += APP_PREFIX=\\\"$$PREFIX\\\"


LIBS += -lukui-log4qt -lKF5WindowSystem -lKF5Screen -lkysdk-qtwidgets -lkysdk-kabase   -lpolkit-qt5-core-1 -lcurl

TRANSLATIONS = translations/kylin-ai-subsystem-modelconfig/Internationalization_zh_CN.ts

# Generate translations in build
TRANSLATIONS_FILES =

qtPrepareTool(LRELEASE, lrelease)
for(tsfile, TRANSLATIONS) {
    qmfile = $$shadowed($$tsfile)
    qmfile ~= s,.ts$,.qm,
    qmdir = $$dirname(qmfile)
    !exists($$qmdir) {
        mkpath($$qmdir)|error("Aborting.")
    }
    command = $$LRELEASE -removeidentical $$tsfile -qm $$qmfile
    system($$command)|error("Failed to run: $$command")
    TRANSLATIONS_FILES += $$qmfile
}

qmfile.path = $${PREFIX}/share/kylin-ai-subsystem-plugin/kylin-ai-subsystem-modelconfig/translations/
qmfile.files = $${TRANSLATIONS_FILES}

//模型配置UI插件安装目录
target.path = $$[QT_INSTALL_LIBS]/kylin-ai-subsystem-plugin

INSTALLS += target qmfile

SOURCES += \
    aisubsystem.cpp \
    appversionerrorwarningwidget.cpp \
    cloudmodelconfigwidget.cpp \
    cloudmodelitem.cpp \
    kaglobal.cpp \
    localmodelconfigwidget.cpp \
    localmodelitem.cpp \
    modelcallpriority.cpp \
    modelconfigdialog.cpp \
    modeldownload.cpp \
    modelwidget.cpp \
    privatemodelconfigdialog.cpp \
    privatemodelconfigwidget.cpp \
    privatemodelitemwidget.cpp \
    qaptdownloaddeb.cpp \
    updatenotificationwidget.cpp

HEADERS += \
    aisubsystem.h \
    appversionerrorwarningwidget.h \
    cloudmodelconfigwidget.h \
    cloudmodelitem.h \
    kaglobal.h \
    localmodelconfigwidget.h \
    localmodelitem.h \
    modelcallpriority.h \
    modelconfigdialog.h \
    modeldownload.h \
    modelwidget.h \
    privatemodelconfigdialog.h \
    privatemodelconfigwidget.h \
    privatemodelitemwidget.h \
    qaptdownloaddeb.h \
    updatenotificationwidget.h

RESOURCES += \
    res.qrc
