#ifndef MODELCALLPRIORITY_H
#define MODELCALLPRIORITY_H

#include <QObject>
#include <QWidget>
#include <QLabel>
#include <QComboBox>
#include <QMap>
#include <aiconfig/modelconfig.h>


class ModelCallPriority : public QWidget
{
    Q_OBJECT
public:
    explicit ModelCallPriority(QWidget *parent = nullptr);   
    ~ModelCallPriority();
    void updateModelCallPriority();

signals:

public:
    QLabel *modelCellPriLabel = nullptr;      // 模型调用优先级排序标签
    QComboBox *m_modelCallPriComboBox = nullptr;   // 模型调用优先级下拉列表

public Q_SLOTS:
    void callPriChanged(int index);
private:
    QMap<kyai::config::model::DeployType ,int > *m_mapDeployTypeValue =nullptr;
};

#endif // MODELCALLPRIORITY_H
